Bug 1302828 - Hooks can remain set after a stack operation is stopped
Hooks can remain set after a stack operation is stopped
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity high
: z4
: 7.0 (Kilo)
Assigned To: Zane Bitter
Amit Ugol
: ZStream
: 1302827 (view as bug list)
Depends On:
Blocks: 1302831 1309817
  Show dependency treegraph
 
Reported: 2016-01-28 13:05 EST by Zane Bitter
Modified: 2016-04-26 16:48 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-heat-2015.1.2-8.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, if a thread was cancelled (including if heat-engine is restarted) while a user hook (aka breakpoint) was active, the hook was still marked as active in the database. If the user modified the environment to disable the hook, then the next time Heat reached the point in traversing the stack where the hook was invoked, Heat would pause and wait for the hook to be cleared; however there was no log message to indicate that the hook was invoked, nor a corresponding event in the event list, nor any indication from the "hook-poll" command that the hook is active. This workaround clears an active user hook when an exit exception occurs (e.g. the thread is cancelled) which resolves the issue. Previously, only Exception was caught, so exit exceptions were excluded.
Story Points: ---
Clone Of:
: 1302831 1309817 (view as bug list)
Environment:
Last Closed: 2016-02-18 11:43:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1538733 None None None 2016-01-28 13:05 EST
OpenStack gerrit 273663 None None None 2016-02-25 21:50 EST

  None (edit)
Description Zane Bitter 2016-01-28 13:05:52 EST
If a thread is cancelled (including if heat-engine is restarted) while a user hook (aka breakpoint) is active, the hook is still marked as active in the database. If the user modifies the environment to disable the hook, then the next time Heat reaches the point in traversing the stack where the hook was invoked Heat will pause and wait for the hook to be cleared; however there will be no log message to indicate that the hook was invoked, nor a corresponding event in the event list, nor any indication from the "hook-poll" command that the hook is active.

A simple workaround exists: just clear the hooks and everything will proceed. However, the problem is almost impossible to diagnose.
Comment 1 Zane Bitter 2016-01-28 13:06:46 EST
*** Bug 1302827 has been marked as a duplicate of this bug. ***
Comment 5 errata-xmlrpc 2016-02-18 11:43:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0266.html

Note You need to log in before you can comment on or make changes to this bug.